org.apache.myfaces.trinidad.event

## Class SetActionListener

- java.lang.Object
- - org.apache.myfaces.trinidad.event.SetActionListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.ActionListener, javax.faces.event.FacesListener

      public class SetActionListener
      extends Object
      implements javax.faces.event.ActionListener, javax.faces.component.StateHolder

  ActionListener that supports getting a value from one binding and setting it on another.

- - ### Field Summary

    - ### Fields inherited from interface javax.faces.event.ActionListener

      `TO_FLOW_DOCUMENT_ID_ATTR_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetActionListener()` Creates a SetActionListener.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getFrom()`
    `javax.el.ValueExpression` | `getValueExpression(String name)`
    `boolean` | `isTransient()`
    `void` | `processAction(javax.faces.event.ActionEvent event)` Gets the value from the "from" property and sets it on the ValueBinding for the "to" property
    `void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setFrom(Object from)`
    `void` | `setTransient(boolean newTransientValue)`
    `void` | `setValueExpression(String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetActionListener

          public SetActionListener()

      Creates a SetActionListener.

  - ### Method Detail

    - #### processAction

          public void processAction(javax.faces.event.ActionEvent event)

      Gets the value from the "from" property and sets it on the ValueBinding for the "to" property
      Specified by:
        `processAction` in interface `javax.faces.event.ActionListener`

    - #### getValueExpression

          public javax.el.ValueExpression getValueExpression(String name)

    - #### setValueExpression

          public void setValueExpression(String name,
                                javax.el.ValueExpression binding)

    - #### getFrom

          public Object getFrom()

    - #### setFrom

          public void setFrom(Object from)

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### setTransient

          public void setTransient(boolean newTransientValue)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.